Bug 165575 - RHN Applet Exception Occurred
RHN Applet Exception Occurred
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
4.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Shannon Hughes
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 11:50 EDT by Calvin Webster
Modified: 2012-06-20 11:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Calvin Webster 2005-08-10 11:50:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041026 Firefox/1.0RC1

Description of problem:
The rhn applet icon displayed its red exclamation point, indicating the machine was out of date.
I clicked on the rhn icon and successfully downloaded and installed available updates.
Following completion of the updates, the applet icon image changed to a gray question mark.
Allowing the mouse pointer to hover over the icon displayed the message "Error connecting to RHN...".
When I clicked on the icon, an exception message dialog appeared. Following is the text of the message:

=====================================================
		Exception Occured
-----------------------------------------------------
An unhandled exception has occured. This is most likely a bug.
Please copy the full text of this exception into an email and send it
to applet@rhn.redhat.com. Thank you.
-----------------------------------------------------
Exception type exceptions.TypeError
 
Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 582, in refresh
    self.model.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_model.py", line 447, in refresh
    source.refresh(force)
  File "/usr/share/rhn/rhn_applet/rhn_applet_source.py", line 35, in refresh
    self._do_refresh()
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpc.py", line 190, in _do_refresh
    server = self.create_server()
  File "/usr/share/rhn/rhn_applet/rhn_applet_rpc.py", line 80, in create_server
    s = apply(rpclib.Server, [], options)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 148, in __init__
    type, uri = urllib.splittype(uri)
  File "/usr/lib/python2.3/urllib.py", line 959, in splittype
    match = _typeprog.match(url)
TypeError: expected string or buffer
=====================================================

After closing the dialog the rhn applet icon changed to a blue check-mark. Allowing the mouse pointer to hover over the icon displayed the message "Waiting before checkin...".

About a minute later, the icon changed back to the gray question mark and the same exception was raised.


Version-Release number of selected component (if applicable):
rhn-applet-2.1.17-5

How reproducible:
Always

Steps to Reproduce:
1. Click on rhn icon when it's red.
2. Download and install updates.
3. Click on rhn icon when it's gray.
  

Actual Results:  Applet exception was raised as described above.

Expected Results:  The applet should change to blue check-mark and remain that way until updates are available.

Additional info:

A nearly identical server with an identical RHEL4 installation in another building (using a different Internet connection) does not exhibit this behavior. Each server connects through the Road Runner Business Class cable internet service in the building in which it resides.

I have submitted this exception twice to applet@rhn.redhat.com as requested but never got any feedback.
Comment 1 Red Hat Bugzilla 2007-04-11 20:18:21 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Jiri Pallich 2012-06-20 11:59:37 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.